<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>

<body>
    <div id="caja" class="tipo1" data-borde="activo">
        Ejemplo de clase para contar
    </div>
    <div id="salida" class="tipo1 tipo2">
        numero de caracteres que haya en el div anterior
    </div>
    <script src="2.js"></script>
</body>

</html>